## org.apache.lucene.spatial.geometry
Class FloatLatLng

    java.lang.Object
      org.apache.lucene.spatial.geometry.LatLng
          org.apache.lucene.spatial.geometry.FloatLatLng

Deprecated.

    @Deprecated
    public class FloatLatLng

extends LatLng

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`FloatLatLng(double lat, double lng)` Deprecated.
`FloatLatLng(LatLng ll)` Deprecated.

Method Summary
`LatLng` `calculateMidpoint(LatLng other)` Deprecated. Calculate the midpoint between this point an another.
`LatLng` `copy()` Deprecated.
`boolean` `equals(Object obj)` Deprecated.
`int` `getFixedLat()` Deprecated.
`int` `getFixedLng()` Deprecated.
`double` `getLat()` Deprecated.
`double` `getLng()` Deprecated.
`int` `hashCode()` Deprecated.
`boolean` `isFixedPoint()` Deprecated.
`boolean` `isNormalized()` Deprecated.
`LatLng` `normalize()` Deprecated.
`FixedLatLng` `toFixed()` Deprecated.
`FloatLatLng` `toFloat()` Deprecated.

Methods inherited from class org.apache.lucene.spatial.geometry.LatLng
`arcDistance, arcDistance, fromCartesian, toCartesian, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatLatLng

    public FloatLatLng(double lat,
                       double lng)

  Deprecated.

### FloatLatLng

    public FloatLatLng(LatLng ll)

  Deprecated.

Method Detail

### copy

    public LatLng copy()

  Deprecated.
  Specified by:
    `copy` in class `LatLng`

### getFixedLat

    public int getFixedLat()

  Deprecated.
  Specified by:
    `getFixedLat` in class `LatLng`

### getFixedLng

    public int getFixedLng()

  Deprecated.
  Specified by:
    `getFixedLng` in class `LatLng`

### getLat

    public double getLat()

  Deprecated.
  Specified by:
    `getLat` in class `LatLng`

### getLng

    public double getLng()

  Deprecated.
  Specified by:
    `getLng` in class `LatLng`

### isFixedPoint

    public boolean isFixedPoint()

  Deprecated.
  Specified by:
    `isFixedPoint` in class `LatLng`

### toFixed

    public FixedLatLng toFixed()

  Deprecated.
  Specified by:
    `toFixed` in class `LatLng`

### toFloat

    public FloatLatLng toFloat()

  Deprecated.
  Specified by:
    `toFloat` in class `LatLng`

### isNormalized

    public boolean isNormalized()

  Deprecated.
  Specified by:
    `isNormalized` in class `LatLng`

### normalize

    public LatLng normalize()

  Deprecated.
  Specified by:
    `normalize` in class `LatLng`

### calculateMidpoint

    public LatLng calculateMidpoint(LatLng other)

  Deprecated.
  Description copied from class: `LatLng`
  Calculate the midpoint between this point an another. Respects fixed vs floating point

  Specified by:
    `calculateMidpoint` in class `LatLng`

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in class `LatLng`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Specified by:
    `equals` in class `LatLng`